XFcHostEntry class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcHostEntry Class Reference

Holds device name and device address information. More...

Inheritance diagram for XFcHostEntry:

[legend]
Collaboration diagram for XFcHostEntry:

[legend]
List of all members.

## Public Member Functions

virtual XFCIMPORT | ~XFcHostEntry ()
| Virtual destructor.
virtual XFCIMPORT const XFcAddress *const | getAddress () const
| Gets host address.
virtual XFCIMPORT XFcAddress * | getAddress ()
| Gets host address.
virtual XFCIMPORT const XFcName *const | getName () const
| Gets host name.
virtual XFCIMPORT XFcName *const | getName ()
| Gets host name.
virtual XFCIMPORT void | setAddress (const XFcAddress &aAddress)
| Sets address.
virtual XFCIMPORT void | setName (const XFcName &aName)
| Sets name.

## Protected Member Functions

| XFcHostEntry ()
| Protected constructor.
void | init (XFcAddress *aAddress)
| Initializes mAddress with given address.

## Protected Attributes

XFcName | mName
| Holds name of the host.
XFcAddress * | mAddress
| Holds address of the host.

## Detailed Description

Holds device name and device address information.

Used for device host entry information.

Note:
  No alias support included.

## Constructor & Destructor Documentation

XFcHostEntry::XFcHostEntry | ( |  | ) | `[protected]`

Protected constructor.

Note:
  Ensures abstract use of the class, as there is no public static constructor.

virtual XFCIMPORT XFcHostEntry::~XFcHostEntry | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

virtual XFCIMPORT XFcAddress* XFcHostEntry::getAddress | ( |  | ) | `[virtual]`

Gets host address.

Returns:
  device address.

virtual XFCIMPORT const XFcAddress* const XFcHostEntry::getAddress | ( |  | ) | const`[virtual]`

Gets host address.

Returns:
  device address.

virtual XFCIMPORT XFcName* const XFcHostEntry::getName | ( |  | ) | `[virtual]`

Gets host name.

Returns:
  device name.

virtual XFCIMPORT const XFcName* const XFcHostEntry::getName | ( |  | ) | const`[virtual]`

Gets host name.

Returns:
  device name.

void XFcHostEntry::init | ( | XFcAddress * | aAddress | ) | `[protected]`

| Initializes mAddress with given address.

virtual XFCIMPORT void XFcHostEntry::setAddress | ( | const XFcAddress & | aAddress | ) | `[virtual]`

Sets address.

Parameters:

  device | address.

virtual XFCIMPORT void XFcHostEntry::setName | ( | const XFcName & | aName | ) | `[virtual]`

Sets name.

Parameters:

  device | name.

## Member Data Documentation

XFcAddress* XFcHostEntry::mAddress`[protected]`

| Holds address of the host.

XFcName XFcHostEntry::mName`[protected]`

| Holds name of the host.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch